
Infrastructure - Task #7065

Story # 6723 (Closed): test v2 MN and CN buildouts

Create functional tests for v2 SystemMetadata updating use cases.

2015-04-28 22:00 - Andrei Buium

Status: Closed Start date: 2015-04-28

Priority: Normal Due date:  

Assignee: Andrei Buium % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

With the MN now in charge of the system metadata, we added MN.updateSystemMetadata(), CN.synchronize(), and

CN.updateSystemMetadata().

Write functional tests to make sure a metadata change triggers the expected updates.

Subtasks:

Task # 7066: Come up with the different use cases that need to be tested Closed

Task # 7067: Write the tests Closed

History

#1 - 2015-06-14 01:11 - Rob Nahf

- Assignee set to Rob Nahf

- Description updated

Tests:

1. MN.updateSystemMetadata - rightsholders can update mutable fields

2. MN.updateSystemMetadata - rightsholders cannot update immutable fields

3. MN.updateSystemMetadata - serial version does not matter

4. MN.updateSystemMetadata - non-rightsHolders cannot update

5. MN.updateSystemMetadata - rightsHolders cannot update on non-authoritative MN

6. CN.synchronize - can only be called by authMN or rightHolders(?)

7. CN.updateSystemMetadata - can only be called by CNs

8. CN.synchronize - actually synchronizes the sysmeta (or new unsynced object)

9. CN.updateSystemMetadata - does update the systemMetadata tables.

#2 - 2015-07-01 15:12 - Andrei Buium

- Status changed from New to In Progress

- % Done changed from 0 to 30

Tests are all written and need to be tested against the actual implementations.

(Except CN.synchronize() for now. That is tested as an MN.updateSystemMetadata() consequence, but not by itself since it would require MN certs.)

#3 - 2015-09-30 15:42 - Rob Nahf

- Assignee changed from Rob Nahf to Andrei Buium
#4 - 2015-11-04 18:50 - Andrei Buium

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

All sub-tasks are closed, closing this task. Tests for CN.synchronize and v2 updateSystemMetadata are working properly and passing against current

trunk implementation.
